<!-- Login.vue -->
<template>
  <div>
    <h2>LoginForm</h2>
    <form @submit.prevent="login">
      <input type="text" v-model="username" placeholder="Username" required>
      <input type="password" v-model="password" placeholder="Password" required>
      <button type="submit">Login</button>
    </form>
    <p v-if="errorMessage" class="error">{{ errorMessage }}</p>
  </div>
</template>

<script>
import axios from 'axios';
export default {
  
  data() {
    return {
      username: '',
      password: '',
      errorMessage: '',
      
    };
  },
  methods: {
    login() {
      

      const credentials = {
        username: this.username,
        password: this.password,
        
      };

      axios.post('/api/login', credentials)
        .then((response) => {
          if (response.data.authenticated) {
            if(response.data.user.role === "admin"){
             this.$router.push('/addObject');
            }
            else{
              this.$router.push('/addVehicle');
            }
          } else {
            
            this.errorMessage = 'Invalid username or password.';
          }
        })
        .catch((error) => {
          console.error('Login error:', error);
        });
        
    },
  },
};
</script>

<style>
/* Add your CSS styles here for the login form and error message */
.error {
  color: red;
}
</style>
